gdjs.Pause_32menuCode = {};
gdjs.Pause_32menuCode.localVariables = [];
gdjs.Pause_32menuCode.idToCallbackMap = new Map();
gdjs.Pause_32menuCode.GDNewSpriteObjects1= [];
gdjs.Pause_32menuCode.GDNewSpriteObjects2= [];
gdjs.Pause_32menuCode.GDNewTextObjects1= [];
gdjs.Pause_32menuCode.GDNewTextObjects2= [];


gdjs.Pause_32menuCode.eventsList0 = function(runtimeScene) {

{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText"), gdjs.Pause_32menuCode.GDNewTextObjects1);
{gdjs.evtTools.camera.setCameraZoom(runtimeScene, 1.8, "", 0);
}
{gdjs.evtTools.camera.centerCamera(runtimeScene, (gdjs.Pause_32menuCode.GDNewTextObjects1.length !== 0 ? gdjs.Pause_32menuCode.GDNewTextObjects1[0] : null), true, "", 0);
}
elseEventsChainSatisfied = true;
}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "Pause");
}
elseEventsChainSatisfied = true;
}

}


{

gdjs.copyArray(runtimeScene.getObjects("NewText"), gdjs.Pause_32menuCode.GDNewTextObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Pause_32menuCode.GDNewTextObjects1.length;i<l;++i) {
    if ( gdjs.Pause_32menuCode.GDNewTextObjects1[i].getBehavior("ButtonFSM").IsPressed(null) ) {
        isConditionTrue_0 = true;
        gdjs.Pause_32menuCode.GDNewTextObjects1[k] = gdjs.Pause_32menuCode.GDNewTextObjects1[i];
        ++k;
    }
}
gdjs.Pause_32menuCode.GDNewTextObjects1.length = k;
if (isConditionTrue_0) {
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.getTimerElapsedTimeInSecondsOrNaN(runtimeScene, "Pause") > 0.25;
}
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.popScene(runtimeScene);
}
elseEventsChainSatisfied = true;
}

}


};

gdjs.Pause_32menuCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.Pause_32menuCode.GDNewSpriteObjects1.length = 0;
gdjs.Pause_32menuCode.GDNewSpriteObjects2.length = 0;
gdjs.Pause_32menuCode.GDNewTextObjects1.length = 0;
gdjs.Pause_32menuCode.GDNewTextObjects2.length = 0;

gdjs.Pause_32menuCode.eventsList0(runtimeScene);
gdjs.Pause_32menuCode.GDNewSpriteObjects1.length = 0;
gdjs.Pause_32menuCode.GDNewSpriteObjects2.length = 0;
gdjs.Pause_32menuCode.GDNewTextObjects1.length = 0;
gdjs.Pause_32menuCode.GDNewTextObjects2.length = 0;


return;

}

gdjs['Pause_32menuCode'] = gdjs.Pause_32menuCode;
